bitel.billing.server.bill.bean

## Class BillManager

- java.lang.Object
- - bitel.billing.server.bill.bean.AbstractManager
  - - bitel.billing.server.bill.bean.BillManager

- All Implemented Interfaces:
    java.lang.AutoCloseable

      public class BillManager
      extends AbstractManager

- - ### Field Summary

    - ### Fields inherited from class bitel.billing.server.bill.bean.AbstractManager

      `BILL_ALL, BILL_NEW, BILL_PAYED, con, contractManager, DT_CREATED, DT_PAYED, log, mid, moduleId, moduleSetup, setup, table, USER_ADMIN, USER_ALL, USER_USER, UT_ALL, UT_NOTUNLOADED, UT_UNLOADED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BillManager(java.sql.Connection con, int moduleId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `addBillDoc(int userId, BillDoc doc, java.util.List<PositionValue> posList, java.util.List<BillDoc> subList, boolean checkPast)`
    `int` | `deleteBill(int cid, int id, boolean admin)`
    `Bill` | `getBill(int id)`
    `protected BillDoc` | `getBillDoc(org.xml.sax.Attributes attributes)`
    `protected BillDoc` | `getBillDoc(XMLUtils.BGXMLEventReader reader, javax.xml.stream.events.StartElement element)`
    `java.util.List<Bill>` | `getBillList(Page page, int cid)` Возвращает список PayBill
    `java.util.List<Bill>` | `getBillList(Page page, int yy, int mm, java.util.Calendar from, java.util.Calendar until, int dateType, int payedType, int userType, int unloadType, int accountId, java.lang.String groups, java.lang.String groupMode, java.lang.String contractTitle, java.lang.String billNumber, boolean getXml, int type, int packageParamId, int packageId, int addressSortParam, java.lang.String nameSortParam, int sortMode, int secondarySortMode, boolean forRegister)` Deprecated.
    `java.util.List<Bill>` | `getBillList(Page page, int yy, int mm, Period period, int dateType, int payedType, int userType, int unloadType, int accountId, java.lang.String groups, java.lang.String groupMode, java.lang.String contractTitle, java.lang.String billNumber, boolean getXml, java.lang.String type, int packageParamId, int packageId, int addressSortParam, java.lang.String nameSortParam, int sortMode, int secondarySortMode, boolean forRegister)`
    `protected void` | `publishEvent(int userID, BillDoc billDoc, int billId)`
    `void` | `setPayed(java.lang.String ids, int userID, boolean pay, boolean value, java.util.Date date, java.lang.String summComment)`
    `void` | `updateDocTypeId(java.util.List<java.lang.Integer> documentIds, int documentTypeId)`

    - ### Methods inherited from class bitel.billing.server.bill.bean.AbstractManager

      `addBillDoc, addBillDocData, addBillDocs, addBillDocs, addNameCol, addNameJoin, addPackageFilterJoin, addSortMode, addStreetCol, addStreetJoin, close, delete, delete, delete, getBillDocInfo, getNextNumbers, getXMLData, getXMLData, setBankAccount, setOrganization, updateNumber, updatePositions, updatePositions, updatePositions`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BillManager

          public BillManager(java.sql.Connection con,
                             int moduleId)

  - ### Method Detail

    - #### getBillList

          public java.util.List<Bill> getBillList(Page page,
                                                  int yy,
                                                  int mm,
                                                  Period period,
                                                  int dateType,
                                                  int payedType,
                                                  int userType,
                                                  int unloadType,
                                                  int accountId,
                                                  java.lang.String groups,
                                                  java.lang.String groupMode,
                                                  java.lang.String contractTitle,
                                                  java.lang.String billNumber,
                                                  boolean getXml,
                                                  java.lang.String type,
                                                  int packageParamId,
                                                  int packageId,
                                                  int addressSortParam,
                                                  java.lang.String nameSortParam,
                                                  int sortMode,
                                                  int secondarySortMode,
                                                  boolean forRegister)

    - #### getBillList

          @Deprecated
          public java.util.List<Bill> getBillList(Page page,
                                                              int yy,
                                                              int mm,
                                                              java.util.Calendar from,
                                                              java.util.Calendar until,
                                                              int dateType,
                                                              int payedType,
                                                              int userType,
                                                              int unloadType,
                                                              int accountId,
                                                              java.lang.String groups,
                                                              java.lang.String groupMode,
                                                              java.lang.String contractTitle,
                                                              java.lang.String billNumber,
                                                              boolean getXml,
                                                              int type,
                                                              int packageParamId,
                                                              int packageId,
                                                              int addressSortParam,
                                                              java.lang.String nameSortParam,
                                                              int sortMode,
                                                              int secondarySortMode,
                                                              boolean forRegister)

      Deprecated.

    - #### setPayed

          public void setPayed(java.lang.String ids,
                               int userID,
                               boolean pay,
                               boolean value,
                               java.util.Date date,
                               java.lang.String summComment)
                        throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### updateDocTypeId

          public void updateDocTypeId(java.util.List<java.lang.Integer> documentIds,
                                      int documentTypeId)
                               throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getBillList

          public java.util.List<Bill> getBillList(Page page,
                                                  int cid)

      Возвращает список PayBill
      Parameters:
        `cid` - - ContractID
      Returns:

    - #### getBill

          public Bill getBill(int id)

    - #### deleteBill

          public int deleteBill(int cid,
                                int id,
                                boolean admin)

    - #### addBillDoc

          public int addBillDoc(int userId,
                                BillDoc doc,
                                java.util.List<PositionValue> posList,
                                java.util.List<BillDoc> subList,
                                boolean checkPast)

      Specified by:
        `addBillDoc` in class `AbstractManager`

    - #### getBillDoc

          protected BillDoc getBillDoc(org.xml.sax.Attributes attributes)

      Specified by:
        `getBillDoc` in class `AbstractManager`

    - #### getBillDoc

          protected BillDoc getBillDoc(XMLUtils.BGXMLEventReader reader,
                                       javax.xml.stream.events.StartElement element)

      Specified by:
        `getBillDoc` in class `AbstractManager`

    - #### publishEvent

          protected void publishEvent(int userID,
                                      BillDoc billDoc,
                                      int billId)
                               throws ru.bitel.bgbilling.common.BGException

      Specified by:
        `publishEvent` in class `AbstractManager`
      Throws:
        `ru.bitel.bgbilling.common.BGException`